For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
  • Introduction
    • Get Started
    • Authentication
    • Conventions
    • Filtering with FQL
    • Release Notes
  • API Reference
    • Activities
    • Amenities
    • Applications
    • Buildings
    • Customers
    • Deposits
    • Floor Plans
    • Households
    • Income Limits
      • GETList Income Limits
      • GETRead Income Limit
    • Leases
    • Listings
    • Maintenance
    • Move Ins
    • Move Outs
    • Properties
    • Prospects
    • Rent Changes
    • Reports
    • Reversals
    • Scheduled Reports
    • Scheduled Transactions
    • Screenings
    • Transactions
    • Turns
    • Units
    • Users
    • Work Orders
  • ILS Integration
Contact us
LogoLogo
API ReferenceIncome Limits

List Income Limits

GET
https://api.fortresstech.io/v1/incomeLimits
GET
/v1/incomeLimits
$curl -G https://api.fortresstech.io/v1/incomeLimits \
> --data-urlencode fields=id,name,property.*,documents.type
200Retrieved
1[
2 {
3 "name": "name",
4 "amount": 1.1,
5 "numHouseholdMembers": 1,
6 "amiPercentage": "amiPercentage",
7 "effectiveDate": "effectiveDate",
8 "overIncomeThresholdPercentage": "overIncomeThresholdPercentage",
9 "programDescription": "programDescription",
10 "id": "id",
11 "readableId": "readableId",
12 "idempotencyId": "idempotencyId",
13 "createdAt": "2024-01-15T09:30:00Z",
14 "updatedAt": "2024-01-15T09:30:00Z",
15 "deletedAt": "2024-01-15T09:30:00Z",
16 "propertyId": "propertyId",
17 "organizationId": "organizationId"
18 }
19]
List all income limits
Was this page helpful?
Previous

Read Income Limit

Next
Built with

Query parameters

fieldsstringOptionalformat: "^([a-zA-Z\.],?)+$"
Specific fields requested in the response. Defaults to all fields.
sortstringOptionalformat: "^([a-zA-Z]+(:(asc|desc)+)?,?)+$"

CSV of sort value pairs by field (eg. date:asc). Sorts descending date fields by default and ascending elsewhere

filterstringOptional

Filter expression as defined by Fortress Query Language (FQL)

pageintegerOptionalDefaults to 0
the page number when used with pagination, defaults to 0
limitintegerOptionalDefaults to 10

How many items to return at one time (default 10)

Response

A paged array of income limits
namestring

Short name of the income limit policy (e.g. “60%”)

amountdouble
Income limit amount in USD
numHouseholdMembersinteger
Number of people in the household for the income limit
amiPercentagestring

Display-formatted Area Median Income (AMI) percentage for the income limit (e.g. “50%”, “60%”, “80%”). Use equality filtering only (e.g. amiPercentage=60%).

effectiveDatestringformat: "date"
Date when the income limit became effective
overIncomeThresholdPercentagestring

Over-income tolerance percentage for the program (e.g. “140%” for LIHTC, “80%” for HOME). Households exceeding the income limit but within this threshold may still qualify under program rules.

programDescriptionstring

Full descriptive name of the set-aside program (e.g. “51 units at or below 60% of median income”).

idstringformat: "uuid"
readableIdstring
idempotencyIdstringformat: "uuid"
createdAtdatetime
updatedAtdatetime
deletedAtdatetime
propertyIdstringformat: "uuid"
organizationIdstringformat: "uuid"